package com.badlogic.androidgames.framework;

public interface Graphics {
	public static enum PixmapFormat {
		ARGB8888, ARGB4444, RGB565
	}
	public Pixmap newPixmap( String fileName, PixmapFormat format );
	// Clears the complete framebuffer with the given color
	public void clear( int color );
	public void drawPixel( int x, int y, int color );
	public void drawLine( int x, int y, int x2, int y2, int color );
	// Draws rectangle and fill with the given color
	public void drawRect( int x, int y, int width, int height, int color );
	// Draws rectangular portions of a Pixmap to the frambuffer
	public void drawPixmap( Pixmap pixmap, int x, int y, int srcX, int srcY,
			int scrWidth, int srcHeight );
	public void drawPixmap( Pixmap pixmap, int x, int y );
	public int getWidth();
	public int getHeight();
}
